Subject: Re: `db' package?
From: [email-masked] (John Tobey)

6 Jun 1997 15:37:09 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <199706060355.XAA02145.cygnus.gnu-win32@remote197>
Original-To: [email-masked]
Original-CC: [email-masked]
In-reply-to: 
	<[email-masked]>
	(message from Jan-Jaap van der Heijden on Thu, 5 Jun 1997 17: 02:41
	+0100 (WET DST))
Original-Sender: [email-masked]

> Has anybody succesfully compiled the `db' library package (1.85) with
> cygwin32? I am trying to port RPM to cygwin32, which needs it.

I have built 1.86, so I'm sure 1.85 is possible.  I have not tested
the btree, recno, or any advanced features, since my goal was to build
DB_File for perl 5.004, and I'm stuck on dyna-loading.

I'll try putting together a diff if you like.  The main issues are:

1. Start with the linux makefile.
2. Remove the stuff about lorder and tsort from the ${LIBDB} rule.
3. Get a <sys/cdefs.h> that defines __P, or use -D__P(a)=a.
4. Get <sys/queue.h>, which defines macros such as CIRCLEQ_ENTRY.  I
borrowed this file from a linux distribution.
5. Add O_BINARY to the USE_OPEN_FLAGS in db.c, and OR the flags passed
to dbopen with it.

-John
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".